// read SW1 (RD9) and change LED color (RC13)

#include <p30F2012.h>

void main(void) {
  unsigned status;          // variable to indicate SW1 on/off status

  TRISCbits.TRISC13=0;      // set TRIS register, RC13 is output
  PORTCbits.RC13   =0;      // RC13=0 (green LED on)
  TRISDbits.TRISD9 =1;      // set TRIS register, RD9 is input
  while(1) {                // forever loop
    status=PORTDbits.RD9;   // read SW1 (RD9)
    PORTCbits.RC13=status;  // LED on (red/green) 
  }
}