// UART echo back test program

#include <p30F2012.h>

int main(void) {
  char rxd;                       

  U1MODE=0x8000;                    // UTX/URX(U1TX/U1RX), N81
  U1BRG =95;                        // 19200bps      
  U1STA =0x0400;                    // TX enable
  while(1) {                        // forever loop
    if (U1STAbits.URXDA==1) {       // if incoming data exist
      rxd=U1RXREG;                  // read incoming character
      while (U1STAbits.UTXBF==1) {  // while TX buffer is not empty
        ;                           // nothing to do
      }
      U1TXREG=rxd+1;                // echo back with modification
    }
  }
}